pandoc-1.15.0.6: Conversion between markup formats

Copyright | Copyright (C) 2006-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: ReaderOptions -> String -> Either PandocError Pandoc
- rawLaTeXInline :: LP Inline
- rawLaTeXBlock :: LP String
- inlineCommand :: LP Inlines
- handleIncludes :: String -> IO (Either PandocError String)

# Documentation

readLaTeX

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assumes `'\n'` line endings)
-> Either PandocError Pandoc |

Parse LaTeX from string and return `Pandoc` document.

rawLaTeXInline :: LP Inline

rawLaTeXBlock :: LP String

inlineCommand :: LP Inlines

handleIncludes :: String -> IO (Either PandocError String)

Replace "include" commands with file contents.